- Qt 6.8
- Qt GUI
- C++ Classes
- QResizeEvent
- Qt 6.8.2 Reference Documentation

# QResizeEvent Class

The QResizeEvent class contains event parameters for resize events. More...

Header: | `#include <QResizeEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QEvent

- List of all members, including inherited members
- QResizeEvent is part of Event Classes.

## Public Functions

| QResizeEvent(const QSize &size, const QSize &oldSize)
const QSize & | oldSize() const
const QSize & | size() const

## Detailed Description

Resize events are sent to widgets that have been resized.

The event handler QWidget::resizeEvent() receives resize events.

See also QWidget::resize() and QWidget::setGeometry().

## Member Function Documentation

### QResizeEvent::QResizeEvent(const QSize &size, const QSize &oldSize)

Constructs a resize event with the new and old widget sizes, size and oldSize respectively.

### const QSize &QResizeEvent::oldSize() const

Returns the old size of the widget.

### const QSize &QResizeEvent::size() const

Returns the new size of the widget. This is the same as QWidget::size().